var page = 1, limit = 10, slideData, UIScrollPicture,imageList=[];
apiready = function () {

    UIScrollPicture = api.require('UIScrollPicture');

    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉

    initJpush(); //极光推送

    updateAPP();
};

function updateAPP() {
    var param = {};
    param.version = api.appVersion;
    param.sys = api.systemType;
    ajaxRequest(API_URL.update, 'get', param, function (ret, err) {
        if (ret.status == 0) {
            var result = ret.data;
            if(!result.source){
                return;
            }
            var str = '\n新版本型号：' + result.version + '\r\n\r\n功能更新：\r\n' + result.updateTip + '\r\n\r\n发布时间：' + result.time + '\r\n';
            api.confirm({
                title: '发现新版本 ',
                msg: str,
                buttons: ['升级', '取消']
            }, function (ret, err) {
                if (ret.buttonIndex == 1) {
                    if (api.systemType == "android") {
                        api.download({
                            url: result.source,
                            report: true
                        }, function (ret, err) {
                            if (ret && 0 == ret.state) {/* 下载进度 */
                                api.toast({
                                    msg: "正在下载应用" + ret.percent + "%",
                                    duration: 2000
                                });
                            }
                            if (ret && 1 == ret.state) {/* 下载完成 */
                                var savePath = ret.savePath;
                                api.installApp({
                                    appUri: savePath
                                });
                            }
                        });
                    }
                    if (api.systemType == "ios") {
                        api.installApp({
                            appUri: result.source
                        });
                    }
                }
            });
        }
    });
}

function render() {
    page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p) {
    page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader() { //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData() {
    var connectionType = api.connectionType;
    if (connectionType == 'none') {
        api.toast({msg: '当前网络连接不通', location: 'middle'});
        return;
    }

    var param = {};
    param.des = $api.getStorage('loginUser');

    //api.appVersion
    param.version = api.appVersion;
    param.sys = api.systemType;
    param.channleId = channleId;
    param.deviceId = api.deviceId;
    param.sign = hex_sha1(channleId+api.deviceId+'6ef4b3ebc2b93538');

    ajaxRequest(API_URL.home, 'get', param, function (ret, err) {
        if (ret.status == 0) {
            var data = ret.data;

            //幻灯片
            slideData = data.slide;
            initUIScroll();
            //slideCallBack(data.slide);

            //产品推荐
            recommendCallBack(data.recommend);

            //试用文章
            productCallBack(data.applyArticle);

            //示范展示
            experimentCallBack(data.experiment);

            for(var m in data.experiment){
                for(var n in data.experiment[m].img){
                    img = data.experiment[m].img[n];
                    imageList.push(img);
                }
            }

            //有奖活动
            activeCallBack(data.activeInfo);

            //是否隐藏QQ和微信
            var showThree = data.showThree;
            $api.setStorage('showThree', showThree);

            //开始幻灯
            //startSlide();

        } else {
            showTipMsg(ret.msg);
        }
    });
}
function initUIScroll() {
    imgs = [];
    titles = [];
    _capHeight = 35;
    _width = api.winWidth;
    _height = _width / 2;
    el = document.getElementById('slide-content');
    $api.css(el, 'height:' + _height + 'px;');

    for (var i in slideData) {
        imgs.push(slideData[i].icon);
        titles.push(slideData[i].title);
    }

    UIScrollPicture.open({
        rect: {
            x: 0,
            y: 0,
            w: _width,
            h: _height
        },
        data: {
            paths: imgs,
            captions: titles
        },
        styles: {
            caption: {
                height: _capHeight,
                color: '#ffffff',
                size: 16,
                bgColor: 'rgba(0,0,0,0.4)',
                position: 'overlay'
            },
            indicator: {
                align: 'center',
                color: '#f0f0f0',
                activeColor: '#3498db'
            }
        },
        contentMode: 'scaleToFill',
        interval: 3,
        fixedOn: api.frameName,
        loop: true,
        fixed: false
    }, function (ret, err) {
        if (ret) {
            //alert(JSON.stringify(ret));
            if (ret.eventType == 'click') {
                taptUIScroll(ret.index);
            }
        } else {
            //alert(JSON.stringify(err));
        }
    });
    UIScrollPicture.reloadData({
        data: {
            paths: imgs,
            captions: titles
        }
    });
}
function taptUIScroll(i) {

    page_id = slideData[i].page_id;
    id = slideData[i].id;
    data_id = slideData[i].data_id;
    title = slideData[i].title;

    if (page_id == 1) {
        openCompanyDetail2(data_id, id);
    } else if (page_id == 2) {
        openProductDetail2(data_id, title, id);
    } else if (page_id == 3) {
        openExperimentDetail2(data_id, id);
    } else if (page_id == 4) {
        openHtml2(data_id, id, title);
    }else{
        openOtherHtml(data_id,page_id);
    }
}
function slideCallBack(data) {
    var content = $api.byId('slide-content');
    var tpl = $api.byId('slide-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}
function recommendCallBack(data) {
    if (data) {
        $("#new-product").css('display', 'block');
    } else {
        $("#new-product").css('display', 'none');
        return;
    }
    var content = $api.byId('recommend-content');
    var tpl = $api.byId('recommend-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}
function productCallBack(data) {
    var content = $api.byId('product-content');
    var tpl = $api.byId('product-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));

    if (data.length) {
        $("#product").css('display', 'block');
    } else {
        $("#product").css('display', 'none');
    }
}
function experimentCallBack(data) {
    var content = $api.byId('experiment-content');
    var tpl = $api.byId('experiment-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}

function activeCallBack(data) {
    var content = $api.byId('active-content');
    var tpl = $api.byId('active-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
    if (data.length) {
        $(".J_active").css('display', 'block');
    } else {
        $(".J_active").css('display', 'none');
    }
}

//极光推送
function initJpush() {
    var ajpush = api.require('ajpush'); //注册
    if (typeof(ajpush) != "undefined") {
        ajpush.init(function (ret) {
            //alert('注册');
            if (ret && ret.status) {
                //alert('极光推送注册:'+ret.status);
            } else {
                //alert(ret.status);
            }
        });
        //应用在前台状态会监听
        ajpush.setListener(
            function (ret) {
                var id = ret.id;
                var title = ret.title;
                var content = ret.content;
                var extra = ret.extra;

                if (typeof extra != 'object') { //如果不是对象，把字符串转变成对象
                    extra = JSON.parse(extra);
                }

                extra.title = content;
                //alert('setListener,extra.flag:'+extra.flag+';extra.key:'+extra.key);
                doPushUrl(extra);
            }
        );
        api.addEventListener({name: 'pause'}, function (ret, err) { //通知极光推送SDK当前应用退入到后台。
            var ajpush = api.require('ajpush');
            ajpush.onPause();
        });
        api.addEventListener({name: 'resume'}, function (ret, err) { //通知极光推送SDK当前应用恢复到前台。
            var ajpush = api.require('ajpush');
            ajpush.onResume();
        });
        //设置别名
        var winduid = $api.getStorage('uid');
        if (winduid) {
            var param = {
                alias: 'u_' + winduid,
                tags: ['u_' + winduid]
            };
            ajpush.bindAliasAndTags(param, function (ret) {
                //alert('别名设置成功：'+'u_'+winduid);
            });
        }
        api.addEventListener({name: 'noticeclicked'}, function (ret, err) {
            if (ret && ret.value) {
                var ajpush = ret.value;
                var title = ajpush.title;//title是固定的“农查查”
                var content = ajpush.content;//content才是推送的标题
                var extra = ajpush.extra;

                if (typeof extra != 'object') { //如果不是对象，把字符串转变成对象
                    var extra = JSON.parse(extra);
                }

                extra.title = content;
                doPushUrl(extra);
            }
        });
        ajpush.setBadge({
            badge: 0
        });
    }
}
function doPushUrl(extra) {
    //alert(json.stringify(extra));
    var key = extra.key;
    if (extra.flag == 'company') {
        api.openWin({
            name: 'companyDetail',
            url: 'companyDetail.html',
            pageParam: {companyId: key}
        });
    } else if (extra.flag == 'product') {
        api.openWin({
            name: 'productDetail',
            url: 'productDetail.html',
            pageParam: {product_id: key}
        });
    } else if (extra.flag == 'experiment') {
        api.openWin({
            name: 'experimentDetail',
            url: 'experimentDetail.html',
            pageParam: {experimentId: key}
        });
    } else if (extra.flag == 'home') {

    } else if (extra.flag == 'html') {
        api.openWin({
            name: 'html',
            url: 'html.html',
            pageParam: {url: key, title: extra.title}
        });
    } else if (extra.flag == 'notice') {
        api.openWin({
            name: 'notice',
            url: 'notice.html'
        });
    }else if(extra.flag == 'trial_list_new'){
        api.openWin({
            name: 'productDetail-apply',
            url: './html/productDetail-apply.html',
            pageParam: {product_id: key}
        });
    }else if(extra.flag == 'trial_detail_new'){
        api.openWin({
            name: 'trialDetail',
            url: './html/trialDetail.html',
            pageParam: {article_id: key}
        });
    }else if(extra.flag == 'product_article_new'){
        api.openWin({
            name: 'productNewDetail',
            url: './html/productNewDetail.html',
            pageParam: {new_id: key}
        });
    }else if(extra.flag == 'experiment_list_new'){
        api.openWin({
            name: 'productDetail',
            url: './html/productDetail.html',
            pageParam: {product_id: key,hid: -1}
        });
    }
}

function startSlide() {
    var scrollHeight = api.winWidth / 320 * 110;
    var slide = new auiSlide({
        container: document.getElementById("slide-content"),
        //"width":750,
        //"height":250,
        "height": scrollHeight,
        "speed": 500,
        "autoPlay": 4000,
        "loop": true,
        "pageShow": true,
        "pageStyle": 'dot',
        'dotPosition': 'center'
    });
    //console.log(slide.pageCount());
}

//打开评论列表
function openHomeInteract(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {experimentId: id}
    });
}

//首页点赞
function doHomePraise(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;
    param.experimentId = id;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            var num = $('#show_'+id).html();
            if(data.id){
                $api.addCls($api.byId('get_'+id), "active-info");
                num++;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).addClass('aui-text-info');

            }else{
                $api.removeCls($api.byId('get_'+id), "active-info");
                num--;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).removeClass('aui-text-info');
            }
            api.toast({msg: ret.msg, location: 'middle'});
        }else{
            showTipMsg(ret.msg);
        }
    });
}

function openPhotoBrowser(i){
    var photoBrowser = api.require('photoBrowser');
    photoBrowser.open({
        "images": imageList,
        "activeIndex": i,
        "placeholderImg": "widget://image/photoBrowser.png",
        "bgColor": "#000"
    }, function(ret, err){
        if( ret ){
            if(ret.eventType=='click'){
                photoBrowser.close();
            }else if(ret.eventType=='longPress'){
                photoBrowser.getIndex(function(ret, err){
                    if( ret ){
                        photoBrowser.getImage({
                            index: ret.index
                        }, function(ret, err){
                            if( ret ){
                                api.saveMediaToAlbum({
                                    path: ret.path
                                }, function(ret, err){
                                    if( ret.status ){
                                        api.toast({
                                            msg: "图片保存成功",
                                            duration:2000,
                                            location: 'middle'
                                        });
                                    }
                                });
                            }
                        });
                    }
                });
            }
        }else{
            //alert( JSON.stringify( err ) );
        }
    });
}

$('#experiment-content').on("click", '.cha-shifan-bd img', function(e){
    i=$(this).index(".cha-shifan-bd img");
    openPhotoBrowser(i);
});