var product_id, page = 1, limit = 10;

apiready = function () {
    api.parseTapmode();
    product_id = api.pageParam.product_id;
    render();
    setRefreshHeader(); //顶部拉
};
function render() {
    page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader() {
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData() {
    winduid = $api.getStorage('uid');
    if (!winduid) {
        openLogin();
        return;
    }

    var param = {};

    if(page){
        param.p = page;
    }

    var ciphertext = $api.getStorage('loginUser');
    param.product_id = product_id;
    param.des = ciphertext;

    ajaxRequest(API_URL.productNewTrial, 'get', param, function (ret, err) {
        if (ret.status == 0) {
            var data = ret.data;
            var _trial = data.list;
            if(_trial.product_name){
                var _name = _trial.product_name;
                api.execScript({
                    name: 'productDetail',
                    script: 'setTitle("' + _name + '");'
                });
            }
            if (_trial.new_trial == 1) {
                //开通产品试用
                ajaxRequest(API_URL.applyArticle, 'get', param, function (ret, err) {
                    if (ret.status == 0) {
                        var _info = ret.data;
                        listCallBack(_info.info,_trial);
                    } else {
                        showTipMsg(ret.msg);
                    }
                });
            } else {
                //未开通试用
                ajaxRequest(API_URL.userAddress, 'get', param, function (_ret, _err) {
                    if (_ret.status == 0) {
                        var _data = _ret.data;
                        infoCallBack(_data.info,_trial);
                    } else {
                        showTipMsg(_ret.msg);
                    }
                });
            }
        } else {
            showTipMsg(ret.msg);
        }
    });
}

function listCallBack(list,trial) {
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content,tempFn(list));
        if(!list){
            $api.removeCls($api.byId('noContent'), "aui-hidden");
            $api.addCls($api.byId('hasContent'), "aui-hidden");
        }
    } else {
        $api.append(content,tempFn(list));
    }
    //若存在正在进行的或过期的活动，则显示有奖
    if (trial.active_id > 0 || trial.ifactive == 1) {
        api.execScript({
            name: 'productDetail',
            script: 'online();'
        });
    }
}

function infoCallBack(info,trial) {
    var _content = $api.byId('info-content');
    var _tpl = $api.byId('info-template').text;
    var tempFn = doT.template(_tpl);
    $api.html(_content, tempFn(info));
    //若存在正在进行的或过期的活动，则显示有奖
    if (trial.active_id > 0 || trial.ifactive == 1) {
        api.execScript({
            name: 'productDetail',
            script: 'online();'
        });
    }
}

//当前产品为开通试用，则获取已申请人数
function getNum() {
    ajaxRequest(API_URL.getOrderNum, 'post', {product_id: product_id}, function (ret, err) {
        if (ret.status == 0) {
            $('#apply_num').html(ret.data);
        } else if (ret.status == -1) {
            showTipMsg(ret.msg);
        } else {
        }
    });
}
//提交
function doSubmit() {
    winduid = $api.getStorage('uid');
    if (!winduid) {
        openLogin();
        return;
    }

    api.showProgress();

    var ciphertext = $api.getStorage('loginUser'); //用户uid加密

    var contact = $api.byId('contact').value;
    var mobile = $api.byId('mobile').value;

    var param = { //参数
        des: ciphertext,
        product_id: product_id,
        contact: contact,
        mobile: mobile
    };

    ajaxRequest(API_URL.doApplyOrder, 'post', param, function (ret, err) {
        if (ret.status == 0) {
            api.toast({msg: ret.msg, location: 'middle'});
            var num = $('#apply_num').html();
            num++;
            $('#apply_num').html(num);
        } else {
            showTipMsg(ret.msg);
        }
        api.hideProgress();
    })
}